<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/css/flexbox.css">
    <title>Flexbox Ejemplo</title>
</head>
<center>

    <body>
        <header>
            <h1>Ejemplo de Flexbox</h1>
        </header>

        <hr><br>
        <h2>Usando flex-wrap</h3>
            <hr>

            <section class="contenedorFlex">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Justify-content</h2>
            <hr><br>

            <section class="contenedorFlexj">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Justify-content end</h2>
            <hr><br>

            <section class="contenedorFlexje">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Justify-content start</h2>
            <hr><br>

            <section class="contenedorFlexjs">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Justify-content: Space-between</h2>
            <hr><br>

            <section class="contenedorspaceb">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Justify-content: space-around</h2>
            <hr><br>

            <section class="contenedorspacea">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Align-item: Center</h2>
            <hr><br>

            <section class="AlignItemc">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Align-item: Flex-end</h2>
            <hr><br>

            <section class="AlignItemfe">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>

            <h2>Align-item: Flex-start</h2>
            <hr><br>

            <section class="AlignItemfs">

                <div class="item">
                    <p>0</p>
                </div>

                <div class="item">
                    <p>1</p>
                </div>

                <div class="item">
                    <p>2</p>
                </div>

                <div class="item">
                    <p>3</p>
                </div>

                <div class="item">
                    <p>4</p>
                </div>

            </section><br>


            <h2>Centro</h2>
            <hr><br>

            <section class="centro">

                <div id="items">
                    <p id="o">0</p>
                </div>

            </section>
    </body>
</center>

</html>